ALAS-2014-311


Amazon Linux AMI Security Advisory: ALAS-2014-311
Advisory Release Date: 2014-09-17 22:53 Pacific
Severity: Important
References: CVE-2014-0132 

Issue Overview:

It was discovered that the 389 Directory Server did not properly handle certain SASL-based authentication mechanisms. A user able to authenticate to the directory using these SASL mechanisms could connect as any other directory user, including the administrative Directory Manager account. This could allow them to modify configuration values, as well as read and write any data the directory holds.


Affected Packages:

389-ds-base


Issue Correction:
Run yum update 389-ds-base to update your system.

New Packages:
i686:
    389-ds-base-devel-1.3.2.16-1.16.amzn1.i686
    389-ds-base-1.3.2.16-1.16.amzn1.i686
    389-ds-base-debuginfo-1.3.2.16-1.16.amzn1.i686
    389-ds-base-libs-1.3.2.16-1.16.amzn1.i686

src:
    389-ds-base-1.3.2.16-1.16.amzn1.src

x86_64:
    389-ds-base-1.3.2.16-1.16.amzn1.x86_64
    389-ds-base-devel-1.3.2.16-1.16.amzn1.x86_64
    389-ds-base-libs-1.3.2.16-1.16.amzn1.x86_64
    389-ds-base-debuginfo-1.3.2.16-1.16.amzn1.x86_64